package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFX81Data {

    private Map<String, Object> params;
    
    public MWFX81Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsVariantaKey() {
        return (Long) params.get("RS_VARIANTA_KEY");
    }

    public String rsVariantatyp() {
        return (String) params.get("RS_VARIANTATYP");
    }

    public String rsKodproduktu() {
        return (String) params.get("RS_KODPRODUKTU");
    }

    public Double rsVyseuveru() {
        return (Double) params.get("RS_VYSEUVERU");
    }

    public Double rsMesicnisplatka() {
        return (Double) params.get("RS_MESICNISPLATKA");
    }

    public java.util.Date rsDatumprvnisplatky() {
        return (java.util.Date) params.get("RS_DATUMPRVNISPLATKY");
    }

    public String rsDeninkasnisplatky() {
        return (String) params.get("RS_DENINKASNISPLATKY");
    }

    public String rsOdkladsplatek() {
        return (String) params.get("RS_ODKLADSPLATEK");
    }

    public Long rsTerm() {
        return (Long) params.get("RS_TERM");
    }

    public Double rsUrokovasazba() {
        return (Double) params.get("RS_UROKOVASAZBA");
    }

    public String rsPojisteni() {
        return (String) params.get("RS_POJISTENI");
    }

    public Double rsPojistenipoplatek() {
        return (Double) params.get("RS_POJISTENIPOPLATEK");
    }

    public Double rsRpsn() {
        return (Double) params.get("RS_RPSN");
    }

    public Long rsVariantadoporucenaflag() {
        return (Long) params.get("RS_VARIANTADOPORUCENAFLAG");
    }

    public Long rsVariantazvolenaflag() {
        return (Long) params.get("RS_VARIANTAZVOLENAFLAG");
    }

    public String rsCurrency() {
        return (String) params.get("RS_CURRENCY");
    }

    public Double rsCelkovasplatnacastka() {
        return (Double) params.get("RS_CELKOVASPLATNACASTKA");
    }

    public Double rsPoplatekPbt() {
        return (Double) params.get("RS_POPLATEK_PBT");
    }

    public Double rsPoplatekVedeniuu() {
        return (Double) params.get("RS_POPLATEK_VEDENIUU");
    }

    public Double rsPoplatekPoskytnutiuveru() {
        return (Double) params.get("RS_POPLATEK_POSKYTNUTIUVERU");
    }

    public Double rsPoplatekVedenibu() {
        return (Double) params.get("RS_POPLATEK_VEDENIBU");
    }

    public Double rsCastkaprvnihocerpani() {
        return (Double) params.get("RS_CASTKAPRVNIHOCERPANI");
    }

    public String rsKodproduktusales() {
        return (String) params.get("RS_KODPRODUKTUSALES");
    }

    public Double rsVyseposlednisplatky() {
        return (Double) params.get("RS_VYSEPOSLEDNISPLATKY");
    }

    public Double rsBonusCastka() {
        return (Double) params.get("RS_BONUS_CASTKA");
    }

    public String rsBonusPeriodavyplacenibonusu() {
        return (String) params.get("RS_BONUS_PERIODAVYPLACENIBONUSU");
    }

    public String rsBonusTypvyplacenibonusu() {
        return (String) params.get("RS_BONUS_TYPVYPLACENIBONUSU");
    }

    public Double rsBonusCelkovavyse() {
        return (Double) params.get("RS_BONUS_CELKOVAVYSE");
    }

    public Double rsCerpBonusUrokovasazba() {
        return (Double) params.get("RS_CERP_BONUS_UROKOVASAZBA");
    }

    public Double rsCerpBonusRpsn() {
        return (Double) params.get("RS_CERP_BONUS_RPSN");
    }

    public Double rsCerpBonusVyseposlednisplatky() {
        return (Double) params.get("RS_CERP_BONUS_VYSEPOSLEDNISPLATKY");
    }

    public Double rsCerpUrokovasazba() {
        return (Double) params.get("RS_CERP_UROKOVASAZBA");
    }

    public Double rsCerpVysleposlednisplatky() {
        return (Double) params.get("RS_CERP_VYSLEPOSLEDNISPLATKY");
    }

    public Double rsCerpCelkovasplatnacastka() {
        return (Double) params.get("RS_CERP_CELKOVASPLATNACASTKA");
    }

    public Long rsCerpBonusPocetsplatek() {
        return (Long) params.get("RS_CERP_BONUS_POCETSPLATEK");
    }

    public Double rsCerpBonusCelkovacastka() {
        return (Double) params.get("RS_CERP_BONUS_CELKOVACASTKA");
    }

    public Long rsCerpPocetsplatek() {
        return (Long) params.get("RS_CERP_POCETSPLATEK");
    }

    public Double rsCerpRpsn() {
        return (Double) params.get("RS_CERP_RPSN");
    }

    public String rsVarianttypeid() {
        return (String) params.get("RS_VARIANTTYPEID");
    } 

}
